---
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: {{ app.name }}
  namespace: {{ kubernetes_namespace }}
  annotations:
    kubernetes.io/ingress.class: "traefik"
spec:
  rules:
    - host: {{ app.ingress.internal_host }}
      http:
        paths:
          - path: /
            backend:
              serviceName: {{ app.name }}
              servicePort: {{ app.port }}